Help Center> > SDK Reference > PHP > Related Resources >SDK Download Links

SDK Download Links

Download Address

Compatibility

  • Recommended PHP versions: 5.6 and 7.x
  • Namespace: This version is incompatible with the earlier version (2.1.x). All public classes and functions are saved in the obs package.
  • Interface functions: Not completely compatible with earlier versions (2.1.x). The following table describes the changes.

    Interface Function

    Description

    ObsClient.setBucketCors

    In the request parameters, the CorsRule field is renamed as CorsRules.

    ObsClient.getBucketCors

    In the response parameters, the CorsRule field is renamed as CorsRules.

    ObsClient.setBucketTagging

    In the request parameters, the TagSet field is renamed as Tags.

    ObsClient.getBucketTagging

    In the response parameters, the TagSet field is renamed as Tags.